﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MultiViewControl : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Заполняем список только при первом запросе страницы,
        // а потом все будет сохраняться в состоянии вида.
        // Иначе список всегда будет переустанавливаться в начало
        if (!IsPostBack)
        {
            // Подсоединяем коллекцию с вкладками к списку
            DropDownList1.DataSource = MultiView1.Views;
            // Назначаем атрибут, значениями которого
            // будут заполнены поля "Text" списка
            DropDownList1.DataTextField = "ID";
            // Заполняем список подсоединенными данными
            DropDownList1.DataBind();
    
            // Отображаем первое представление
            MultiView1.ActiveViewIndex = 0;
            // Синхронизируем список
            DropDownList1.SelectedIndex = 0;
    
            // Выделяем текущую дату 
            Calendar1.SelectedDate = DateTime.Now.Date;
            Calendar1.SelectedDayStyle.BorderStyle = BorderStyle.Solid;
        }
    }
    
    // Обработчик события выбора в списке
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        MultiView1.ActiveViewIndex = DropDownList1.SelectedIndex;
    }
}
